﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.ServiceModel;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Media.Imaging;

namespace ClientApplication
{
    public partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            ServiceReference1.Service1Client client = new ServiceReference1.Service1Client(new BasicHttpBinding(), new EndpointAddress(
                new Uri(@"http://localhost:1244/Service1.svc")));

            byte[] rawImageBytes = client.GetImage();

            BitmapImage imageSource = null;
            using (MemoryStream stream = new MemoryStream(rawImageBytes))
            {
                stream.Seek(0, SeekOrigin.Begin);
                BitmapImage b = new BitmapImage();
                b.SetSource(stream);
                imageSource = b;
                Image1.Source = imageSource;
            }

        }
    }
}
